/* Copyright (C) YOOtheme GmbH, http://www.gnu.org/licenses/gpl.html GNU/GPL */
jQuery(document).ready(function($) {

    var win    = $(window),
        navbar = $('.tm-navbar'),
        body   = $('body'),
        pdropdown = $('#tmMainMenu ul.uk-navbar-nav li .uk-dropdown');

    $(".drawer_toggle").click(function() {

        if (!$.easing["easeOutExpo"]) {
            $.easing["easeOutExpo"] = function(x, t, b, c, d) {
                return t == d ? b + c : c * (-Math.pow(2, -10 * t / d) + 1) + b
            }
        }
        
        //Expand
        if (drawer_state == 0) {
            $("div#tm-drawer").slideDown(400, 'easeOutExpo');
            $('.drawer_toggle span').removeClass('uk-icon-chevron-down');
            $('.drawer_toggle span').addClass('uk-icon-chevron-up');
            drawer_state = 1;
            //Collapse
        } else if (drawer_state == 1) {
            $("div#tm-drawer").slideUp(400, 'easeOutExpo');
            $('.drawer_toggle span').removeClass('uk-icon-chevron-up');
            $('.drawer_toggle span').addClass('uk-icon-chevron-down');
            drawer_state = 0;
        }
    });

    var drawer_state = 0;

    if ($('body').hasClass('header-style3')) {
        var nav      = $('.tm-nav-wrapper'),
            navitems = nav.find('.uk-navbar-nav > li'),
            logo     = $('div.tm-logo-large');

        if (navitems.length && logo.length) {
            navitems.eq(Math.floor(navitems.length/2) - 1).after('<li class="tm-nav-logo-centered" data-uk-dropdown>'+logo[0].outerHTML+'</li>');
            logo.remove();
        }
    };

    if (pdropdown.hasClass('uk-dropdown-width-4') || pdropdown.hasClass('uk-dropdown-width-5') || pdropdown.hasClass('uk-dropdown-width-6') ) {
        $('#tmMainMenu ul.uk-navbar-nav li .uk-dropdown-width-4, #tmMainMenu ul.uk-navbar-nav li .uk-dropdown-width-5, #tmMainMenu ul.uk-navbar-nav li .uk-dropdown-width-6').parent().attr('data-uk-dropdown', "{'preventflip':'y', justify: '#tmMainMenu'}");
    }
    if ($('#tmMainMenu ul.uk-navbar-nav li a').hasClass('dropdown-classic')) {
        $('#tmMainMenu ul.uk-navbar-nav li a.dropdown-classic').parent().addClass('sub-dropdown');
    }

    $("#tmMainMenu ul.uk-navbar-nav li.sub-dropdown").on('mouseenter mouseleave', function (e) {
        if ($('ul', this).length) {
            var elm = $(this);
            var off = elm.offset();
            var l = off.left;
            var w = elm.width();
            var docW = $("#tmMainMenu").width();

            var isEntirelyVisible = (l + w <= docW);

            if (!isEntirelyVisible) {
                $(this).addClass('dropdown-classic-left');
            } else {
                $(this).removeClass('dropdown-classic-left');
            }
        }
    });

    if ($('body').hasClass('headertype-fixed')) {
        var fixedPadding = $('.header-top-wrapper').height();
        $(window).scroll(function() {
            if ($(this).scrollTop() != 0) {
                $(".tm-headerbar").addClass("tm-header-squeezed")
            } else {
                $(".tm-headerbar").removeClass("tm-header-squeezed")
            }
        });
        
        $('.mainheading-wrapper').css('padding-top', fixedPadding); 
    }

    if (window.MooTools) {  
        Element.prototype.hide = function() {  
            return;  
        };  
    }

// DIV SCROLL SPEED START
$.fn.moveIt = function(){
    var $window = $(window);
    var instances = [];
    
    $(this).each(function(){
      instances.push(new moveItItem($(this)));
    });
    
    window.addEventListener('scroll', function(){
      var scrollTop = $window.scrollTop();
      instances.forEach(function(inst){
        inst.update(scrollTop);
      });
    }, {passive: true});
  }
  
  var moveItItem = function(el){
    this.el = $(el);
    this.speed = parseInt(this.el.attr('data-scroll-speed'));
  };
  
  moveItItem.prototype.update = function(scrollTop){
    this.el.css('transform', 'translateX(' + -(scrollTop / this.speed) + 'px)');
  };
  
  // Initialization
  $(function(){
    $('[data-scroll-speed]').moveIt();
  });
  // DIV SCROLL SPEED END


  $('.smooth-scroll').click(function(e){
    e.preventDefault();
    var target = $($(this).attr('href'));
    if(target.length){
      var scrollTo = target.offset().top;
      $('body, html').animate({scrollTop: scrollTo+'px'}, 800);
    }
  });

  $(function() {
    $('.acctitle').click(function(j) {
      
      var dropDown = $(this).closest('.acccard').find('.accpanel');
      $(this).closest('.acc').find('.accpanel').not(dropDown).slideUp();
      
      if ($(this).hasClass('active')) {
        $(this).removeClass('active');
      } else {
        $(this).closest('.acc').find('.acctitle.active').removeClass('active');
        $(this).addClass('active');
      }
      
      dropDown.stop(false, true).slideToggle();
      j.preventDefault();
    });
  });
    
});